#!/bin/bash

if [ $# -eq 0 ]
  then
    echo "No arguments supplied. Please provide domainname"
    exit 1
fi

domains="$1"
data_path="./data/certbot"

echo "### Creating dummy certificate for $domains ..."
path="/etc/letsencrypt/live/$domains"
mkdir -p "$data_path/conf/live/$domains"
docker-compose run --rm --entrypoint "\
  openssl req -x509 -nodes -newkey rsa:1024 -days 1\
    -keyout '$path/privkey.pem' \
    -out '$path/fullchain.pem' \
    -subj '/CN=dummycert.schubec'" certbot
echo


